
Redmine - Defect #2723

Host name and path being mangled in mail

2009-02-11 19:41 - Brandon Dixon

Status: Closed Start date: 2009-02-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I recently noticed that emails being sent from Redmine were including a bad reference to the ticket location:

http://https:/redmine/issues/show/40

I checked my settings and ensured the value was in fact correct and it was. For some reason Redmine is not including my Host

name and path. It looks like its replacing my link with "https://". Is anyone else experiencing this?

History

#1 - 2009-02-12 04:18 - Eric Davis

Can you add information about your environment as described in SubmittingBugs

Also make sure your Redmine is setup correctly, you should have:

Administration > Settings > General > Host name and path should be your domain and path without the protocol (e.g. redmine.org)

Administration > Settings > General > Protocol should be https for your site

#2 - 2009-06-24 08:42 - Tony Shiffer

The same thing happens to us. Every so often, reasons unknown, it reverts back to the systems local private address - instead of the proper doamin

and path information.  It can be reproduced sometimes by properly restarting the system.

#3 - 2013-02-06 10:27 - Daniel Felix

Well I'm not able to reproduce this in the current trunk? Anyone else encounters this error in the current trunk?

#4 - 2013-02-11 08:52 - Toshi MARUYAMA

- Status changed from New to Closed

"Mail" has replaced in Rails3 porting.

So, this issue is obsolete.

#5 - 2013-02-11 08:53 - Toshi MARUYAMA

- Subject changed from Host name and path being mangled to Host name and path being mangled in mail
